Subject: RE: Martini tunnels between ERX and Cisco 7206

From: "Jeffrey \(Zhaohui\) Zhang" <[email-masked]>
Date: Tue, 8 Jul 2003 17:22:09 -0400

Maya,

The mailing list is not a place to discuss vendor specific issues. Let's
take this off-line.

Thanks.

Jeffrey

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Maya
> Yajnik
> Sent: Tuesday, July 08, 2003 3:48 PM
> To: [email-masked]
> Subject: Martini tunnels between ERX and Cisco 7206
> 
> 
> 
> Hello all,
> Has anyone set up Mayer 2 tunnels over MPLS between a
> Juniper ERX and a Cisco 7206. I am trying it and having difficulties.
> However, I had no trouble setting it up between Cisco 7206s and
> between ERX virtual routers.
> The basic problem seems to be that although the targeted LDP session
> is up between the Cisco and the ERX, the LDP process at the ERX
> end is not receiving the VC label from the Cisco. The Cisco receives
> the VC label from the ERX alright. The base LSP looks fine.
> Your suggestions are welcome.
> 
> Here is the scenario and the problem that I see.
> Juniper ERX - Cisco 12008 - Cisco 10008 - Cisco 7206
> 
> I am using ATM (aal5) pvcs on both sides and using
> LDP LSPs as the base LSPs.
> 
> At the Juniper ERX I see:
> with show mpls interface shim
> ATM3/1.333
>   routed to 222.222.225.5  on base LSP  tun mpls:lsp-dedee105-32-cfd
>   group-id 0 vc-id 72 mtu 9180
>   Label Sent
>   In  Label 36 on stack
>     0 pkts, 0 hcPkts, 0 octets
>     0 hcOctets, 0 errors, 0 discardPkts
> 
> At the Cisco 7206 I see:
> with #show mpls l2transport vc 72 detail
> Local interface: AT1/0.333 up, line protocol up, ATM AAL5 0/333 up
>   Destination address: 111.1.1.4, VC ID: 72, VC status: down
>     Tunnel label: not ready, LFIB entry present
>     Output interface: unknown, imposed label stack {}
>   Create time: 01:07:15, last status change time: never
>   Signaling protocol: LDP, peer 111.1.1.4:0 up
>     MPLS VC labels: local 25, remote 36
>     Group ID: local 3, remote 0
>     MTU: local 9180, remote 9180
>     Remote interface description:
>   Sequencing: receive disabled, send disabled
>   VC statistics:
>     packet totals: receive 0, send 0
>     byte totals:   receive 0, send 0
>     packet drops:  receive 0, send 0
> 
> The relevant configurations at the PE routers are:
> At the Juniper ERX:
> ! Juniper Edge Routing Switch ERX-1440
> ! Version: 5.0.0 release-0.0 [BuildId 818] (April 25, 2003  08:21)
> ! Copyright (c) 1999-2003 Juniper Networks, Inc.  All rights reserved.
> !
> ! Configuration script generated on SUN JUL 06 2003 17:01:23 UTC
> !
> ! NOTE:  This script represents only a subset of the full system
> configuration.
> !
> virtual-router ler2
> aaa authentication ppp default radius
> aaa accounting ppp default radius
> !
> ip address-pool local
> mpls
> !
> mpls topology-driven-lsp
> mpls topology-driven-lsp ip-interfaces egress host-only
> mpls topology-driven-lsp ip-interfaces ingress host-only
> !
> mpls rsvp interface profile default
> !
> mpls ldp interface profile "PE-FE"
>  hello hold-time 10
>  no cr-ldp
> !
> mpls ldp interface profile default
> !
> interface null 0
> interface loopback 0
>  ip address 111.1.1.4 255.255.255.255
> !
> interface pos 0/3
>  no pos scramble-atm
>  encapsulation ppp
>  ip address 222.222.204.2 255.255.255.252
>  mpls
>  mpls rsvp profile default
>  mpls ldp profile "PE-FE"
> !
> !
> interface atm 3/1.333 point-to-point
>  atm pvc 333 0 33 aal5all 0 0 0
>  mpls-relay 222.222.225.5 72
> !
> !
> router ospf 1
> ! Area 0.0.0.0
>  network 111.1.1.4 0.0.0.0 area 0.0.0.0
>  network 222.222.204.0 0.0.0.255 area 0.0.0.0
> !
> !
> 
> At the Cisco 7206:
> !
> ip cef
> ip audit notify log
> ip audit po max-events 100
> mpls label protocol ldp
> mpls ldp logging neighbor-changes
> mpls traffic-eng tunnels
> mpls traffic-eng reoptimize timers frequency 30
> mpls traffic-eng reoptimize events link-up
> tag-switching tdp discovery directed-hello accept
> tag-switching tdp router-id Loopback0 force
> !
> interface Loopback0
>  ip address 222.222.225.5 255.255.255.255
> !
> !
> interface ATM1/0.333 point-to-point
>  mtu 9180
>  pvc 0/333 l2transport
>   mpls l2transport route 111.1.1.4 72
>  !
> !
> !
> interface POS6/0
>  ip address 222.222.28.28 255.255.255.248
>  encapsulation ppp
>  ip ospf network point-to-point
>  mpls label protocol ldp
>  mpls traffic-eng tunnels
>  tag-switching ip
>  ip rsvp bandwidth 116250 116250
> !
> router ospf 1
>  router-id 222.222.225.5
>  log-adjacency-changes
>  network 222.222.28.24 0.0.0.7 area 0
>  network 222.222.225.5 0.0.0.0 area 0
> !
> 
> Maya
> 
> 
> 
> 
> 
>